"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GraphQLPlayground = void 0;
var _react = _interopRequireWildcard(require("react"));
var _plugins = require("@webiny/plugins");
var _appAdmin = require("@webiny/app-admin");
var _graphql = require("./assets/graphql.svg");
var _Playground = _interopRequireDefault(require("./plugins/Playground"));
var _plugins2 = _interopRequireDefault(require("./plugins"));
var GraphQLPlaygroundExtension = function GraphQLPlaygroundExtension(_ref) {
  var createApolloClient = _ref.createApolloClient;
  _plugins.plugins.register(_plugins2.default);
  return /*#__PURE__*/_react.default.createElement(_appAdmin.Plugins, null, /*#__PURE__*/_react.default.createElement(_appAdmin.AddMenu, {
    name: "apiPlayground",
    label: "API Playground",
    path: "/api-playground",
    icon: /*#__PURE__*/_react.default.createElement(_graphql.ReactComponent, null),
    tags: ["footer"]
  }), /*#__PURE__*/_react.default.createElement(_appAdmin.AddRoute, {
    exact: true,
    path: "/api-playground"
  }, /*#__PURE__*/_react.default.createElement(_appAdmin.Layout, {
    title: "API Playground"
  }, /*#__PURE__*/_react.default.createElement(_Playground.default, {
    createApolloClient: createApolloClient
  }))));
};
var GraphQLPlayground = exports.GraphQLPlayground = /*#__PURE__*/(0, _react.memo)(GraphQLPlaygroundExtension);

//# sourceMappingURL=index.js.map